Bug 1786297 - RHEL worker nodes fail to get upgraded on behind-proxy clusters
Summary: RHEL worker nodes fail to get upgraded on behind-proxy clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks: 1788054
TreeView+ depends on / blocked
 
Reported: 2019-12-24 09:39 UTC by Weinan Liu
Modified: 2020-05-04 11:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Machine config apply required pulling images but was not configured to use proxy Consequence: Image pull failed and blocked upgrades when behind a proxy Fix: Removed unnecessary machine config apply step from upgrade Result: Upgrades succeeded when behind proxy
Clone Of:
: 1788054 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:21:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12058 0 None closed Bug 1786297: Remove machine config apply from upgrade 2020-04-29 01:18:25 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:22:08 UTC

Comment 2 Gaoyun Pei 2020-01-07 10:22:26 UTC
Verify this bug with openshift-ansible-4.4.0-202001061648.git.178.cf90eb3.el7.noarch.rpm

Upgrade a RHEL worker behind proxy:

TASK [openshift_node : Reboot the host and wait for it to come back] ***********
changed: [gpei-44-dcmfr-tt-0.gpei-44.qe.devcluster.openshift.com] => {"changed": true, "elapsed": 37, "rebooted": true}

TASK [openshift_node : Wait for nodes to report ready] *************************
FAILED - RETRYING: Wait for nodes to report ready (36 retries left).
changed: [gpei-44-dcmfr-tt-0.gpei-44.qe.devcluster.openshift.com -> localhost] => {"attempts": 2, "changed": true, "cmd": ["oc", "get", "node", "gpei-44-dcmfr-tt-0", "--config=/tmp/installer-wimHRR/auth/kubeconfig", "--output=jsonpath={.status.conditions[?(@.type==\"Ready\")].status}"], "delta": "0:00:00.123598", "end": "2020-01-07 18:10:59.958680", "rc": 0, "start": "2020-01-07 18:10:59.835082", "stderr": "", "stderr_lines": [], "stdout": "True", "stdout_lines": ["True"]}

Comment 4 errata-xmlrpc 2020-05-04 11:21:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.